package cn.com.qmth.examcloud.core.questions.service.bean.randompaper;

import io.swagger.annotations.ApiModelProperty;

public class StructQuestionInfo {
	@ApiModelProperty("大题名称")
	private String detailName;
	@ApiModelProperty("总分")
	private Double totalScore;
	@ApiModelProperty("数量")
	private Integer totalCount;
	@ApiModelProperty("难数量")
	private StructQuestionCountInfo hardInfo=new StructQuestionCountInfo();
	@ApiModelProperty("中数量")
	private StructQuestionCountInfo mediumInfo=new StructQuestionCountInfo();
	@ApiModelProperty("易数量")
	private StructQuestionCountInfo easyInfo=new StructQuestionCountInfo();
	@ApiModelProperty("不限难度数量")
	private StructQuestionCountInfo anyInfo=new StructQuestionCountInfo();
	

	public String getDetailName() {
		return detailName;
	}

	public void setDetailName(String detailName) {
		this.detailName = detailName;
	}

	public Double getTotalScore() {
		return totalScore;
	}

	public void setTotalScore(Double totalScore) {
		this.totalScore = totalScore;
	}

	public Integer getTotalCount() {
		return totalCount;
	}

	public void setTotalCount(Integer totalCount) {
		this.totalCount = totalCount;
	}

	public StructQuestionCountInfo getHardInfo() {
		return hardInfo;
	}

	public void setHardInfo(StructQuestionCountInfo hardInfo) {
		this.hardInfo = hardInfo;
	}

	public StructQuestionCountInfo getMediumInfo() {
		return mediumInfo;
	}

	public void setMediumInfo(StructQuestionCountInfo mediumInfo) {
		this.mediumInfo = mediumInfo;
	}

	public StructQuestionCountInfo getEasyInfo() {
		return easyInfo;
	}

	public void setEasyInfo(StructQuestionCountInfo easyInfo) {
		this.easyInfo = easyInfo;
	}

	public StructQuestionCountInfo getAnyInfo() {
		return anyInfo;
	}

	public void setAnyInfo(StructQuestionCountInfo anyInfo) {
		this.anyInfo = anyInfo;
	}

}
